Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161358 - ghosted wildcard mounts from NIS maps fail to remount properly after timeout
Summary: ghosted wildcard mounts from NIS maps fail to remount properly after timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 168426 173829
TreeView+ depends on / blocked
 
Reported: 2005-06-22 17:20 UTC by David Lehman
Modified: 2007-12-05 16:24 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0043
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 15:31:48 UTC


Attachments (Terms of Use)
log output from reproducer (deleted)
2005-06-22 17:23 UTC, David Lehman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0043 qe-ready SHIPPED_LIVE autofs bug fix update 2006-03-14 05:00:00 UTC

Description David Lehman 2005-06-22 17:20:21 UTC
Description of problem:
First access of a given expansion of a wildcard key in an NIS map with --ghost
option works fine. If you then leave that directory and allow it to time out and
then try to access it again it shows as though it's not mounted.

Version-Release number of selected component (if applicable):
[root@whiskey root]# uname -r
2.4.21-32.0.1.ELsmp
[root@whiskey root]# rpm -q autofs
autofs-4.1.3-130


How reproducible:
Always

Steps to Reproduce:
1. Set up a ghosted NIS map containing a wildcard mount
2. access the mount
3. allow it to time out and unmount
4. access the mount
  
Actual results:
second access shows the dir as though it wasn't mounted while mount says it is
mounted. NOTE: subsequent accesses seem to work fine.

Expected results:
second access works

Additional info:
This only happens with wildcard entries in ghosted NIS maps.

Comment 3 Jeff Moyer 2005-06-27 19:38:28 UTC
Chris, can you take a look at this?

Comment 27 Red Hat Bugzilla 2006-03-15 15:31:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0043.html



Note You need to log in before you can comment on or make changes to this bug.